%define fix_abs 1
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} <= 7
      %define fix_abs 0
    %endif
  %endif
%endif

Name:           cuneiform
License:        BSD
Group:          Applications/Productivity
Version:        1.1.0
Release:        27.1%{?dist}
Summary:        Command-line OCR system

Source:         http://launchpad.net/cuneiform-linux/1.1/1.1/+download/%{name}-linux-%{version}.tar.bz2
URL:            http://launchpad.net/cuneiform-linux

Patch0:         cuneiform-1.1.0-graphicsmagick.patch
Patch1:         cuneiform-1.1.0-libm.patch
Patch2:         cuneiform-1.1.0-c-assert.patch
Patch3:         cuneiform-1.1.0-size4to5.patch
Patch4:         cuneiform-1.1.0-fix_buffer_overflow.patch
Patch5:         cuneiform-1.1.0-fix_buffer_overflow_2.patch
Patch6:         cuneiform-1.1.0-gcc6.patch
Patch7:         cuneiform-1.1.0-gcc7.patch
Patch8:         cuneiform-1.1.0-typos.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  GraphicsMagick-c++-devel
BuildRequires:  cmake

%description
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -qn "%{name}-linux-%{version}"
%patch0 -p1 -b .graphicsmagick
%patch1 -p1 -b .libm
%patch2 -p1 -b .c-assert
#%%patch3 -p1 -b .size4to5
%patch4 -p1 -b .ix_buffer_overflow
%patch5 -p1 -b .ix_buffer_overflow_2
%if 0%{?fix_abs}
%patch6 -p1 -b .gcc6
%endif
%patch7 -p1 -b .gcc7
%patch8 -p1 -b .typos

%build

%{__mkdir} "%{_target_platform}"
pushd "%{_target_platform}"
%{cmake} -DCMAKE_BUILD_TYPE=debug ".."
%{__make}
popd

%install
make -C "%{_target_platform}" install DESTDIR="%{buildroot}"
cp "original russian readme.rtf" "original_russian_readme.rtf"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
# cuneiform_src/Kern/license.txt is in Russian
%doc readme.txt issues.txt original_russian_readme.rtf
%license cuneiform_src/Kern/license.txt
%{_bindir}/cuneiform
%{_libdir}/lib*.so.*
%{_datadir}/cuneiform

%files devel
%{_includedir}/cuneiform.h
%{_libdir}/lib*.so

%changelog
* Thu Jan 24 2019 Tomasz Tomasik <scx.mail@gmail.com> - 1.1.0-27.1
- Rebuilt for EL7
- SPEC cleanups

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 30 2017 Dmitrij S. Kryzhevich <kryzhev@ispms.ru> - 1.1.0-25
- Fix build fail.

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1.0-19
- Rebuilt for GCC 5 C++11 ABI change

* Wed Mar 11 2015 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-18
- Fix Changelog section (-16 and -17 somehow missed).
- Rebuild for new ImageMagic (wrong -16).

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 14 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-15
- Rebuild for new ImageMagic.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 18 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-13
- Rebuild for new ImageMagic.

* Thu Feb 14 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-12
- One more fix %%doc as new macros can't handle spaces in file name.

* Thu Feb 14 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-11
- Fix filename for %%doc.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-9
- Add size 4to5size patch (Ubuntu bz #978183).
- Switch to relwithdebinfo again.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Tom Callaway <spot@fedoraproject.org> - 1.1.0-7
- rebuild for new ImageMagic

* Thu Mar 01 2012 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-6
- Rebuild for new ImageMagic.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 12 2011 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-4
- Workaround buffer overflow problem.

* Mon Jun 06 2011 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-3
- Fix -devel Requires.

* Thu Apr 21 2011 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-2
- Switch build type to relwithdebinfo (optimization with debug info).

* Thu Apr 21 2011 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.0-1
- Update to 1.1.0.
- All patches are in upstream now. Drop them.

* Mon Apr 04 2011 Dmitrij S. Kryzhevich <krege@land.ru> - 1.0.0-2
- Make -devel subpackage.
- Add patch for Slovenian language code fix (from Debian).
- Add upstream soname patch.
- Add patch to fix enums gemeral used items (from Debian).
- Add Kern/license.txt (in Russian).
- Remove ExclusiveArch, ppc arch is not major arch any more.

* Sun Jul 25 2010 Sergey Raspopov <sergey.linux@gmail.com> - 1.0.0-1
- Version 1.0.0-1

* Sun Apr 25 2010 Sergey Raspopov <sergey.linux@gmail.com> - 0.9.0-1
- Version 0.9.0-1 
